> For the complete documentation index, see [llms.txt](https://docs.chainrpc.io/chainrpc/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.chainrpc.io/chainrpc/networks/ethereum/json-rpc-methods/eth_gettransactionbyhash.md).

# eth\_getTransactionByHash

Returns information about a transaction for a given hash.

### REQUEST

```
POST https://<network>.chainrpc.io/v3/YOUR-API-KEY
```

#### HEADERS

```
Content-Type: application/json
```

#### REQUEST PARAMS

* `TRANSACTION HASH` *\[required]* - a string representing the hash (32 bytes) of a transaction

#### EXAMPLE

```bash
## JSON-RPC over HTTPS POST
## Replace YOUR-API-KEY with an API key from your chainRPC Dashboard
## You can also replace mainnet with a different supported network
curl https://rpc.chainrpc.io/v3/YOUR-API-KEY \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"eth_getTransactionByHash","params": ["0xbb3a336e3f823ec18197f1e13ee875700f08f03e2cab75f0d0b118dabb44cba0"],"id":1}'

## JSON-RPC over WSS
## Replace YOUR-API-KEY with an API key from your chainRPC Dashboard
## You can also replace mainnet with a different supported network
wscat -c wss://eth.chainrpc.io/v3/YOUR-API-KEY
>{"jsonrpc":"2.0","method":"eth_getTransactionByHash","params": ["0xbb3a336e3f823ec18197f1e13ee875700f08f03e2cab75f0d0b118dabb44cba0"],"id":1}
```

### RESPONSE

#### RESULT FIELDS

* `TRANSACTION` - A transaction object, or null when no transaction was found
  * `accessList`: *\[optional]* list of addresses and storage keys the transaction plans to access. See [access list transactions](broken://pages/aUFKFlNvRU6UyYoTAWv2#access-list-transactions).
  * `blockHash`: 32 Bytes - hash of the block including this transaction. `null` when it's pending.
  * `blockNumber`: number of the block including this transaction. `null` when it's pending.
  * `chainID`: *\[optional]* chain ID specifying the network. Returned only for [EIP-1559 transactions](broken://pages/aUFKFlNvRU6UyYoTAWv2#eip-1559-transactions).
  * `from`: 20 Bytes - address of the sender.
  * `gas`: gas provided by the sender.
  * `gasPrice`: gas price provided by the sender in Wei.
  * `hash`: 32 Bytes - hash of the transaction.
  * `input`: the data sent along with the transaction.
  * `maxPriorityFeePerGas`: *\[optional]* maximum fee, in Wei, the sender is willing to pay per gas above the base fee. See [EIP-1559 transactions](broken://pages/aUFKFlNvRU6UyYoTAWv2#eip-1559-transactions).
  * `maxFeePerGas`: *\[optional]* maximum total fee (base fee + priority fee), in Wei, the sender is willing to pay per gas. See [EIP-1559 transactions](broken://pages/aUFKFlNvRU6UyYoTAWv2#eip-1559-transactions).
  * `nonce`: the number of transactions made by the sender prior to this one.
  * `r`: 32 Bytes - ECDSA signature `r`.
  * `s`: 32 Bytes - ECDSA signature `s`.
  * `to`: 20 Bytes - address of the receiver. `null` when it's a contract creation transaction.
  * `transactionIndex`: the transaction's index position in the block, in hexadecimal. `null` when it's pending.
  * `type`: the [transaction type](broken://pages/aUFKFlNvRU6UyYoTAWv2).
  * `v`: ECDSA recovery ID.
  * `value`: value transferred in Wei.

#### BODY

```json
{
  "jsonrpc": "2.0",
  "id": 1,
  "result": {
    "blockHash": "0xb3b20624f8f0f86eb50dd04688409e5cea4bd02d700bf6e79e9384d47d6a5a35",
    "blockNumber": "0x5bad55",
    "from": "0x398137383b3d25c92898c656696e41950e47316b",
    "gas": "0x1d45e",
    "gasPrice": "0xfa56ea00",
    "hash": "0xbb3a336e3f823ec18197f1e13ee875700f08f03e2cab75f0d0b118dabb44cba0",
    "input": "0xf7d8c88300000000000000000000000000000000000000000000000000000000000cee6100000000000000000000000000000000000000000000000000000000000ac3e1",
    "nonce": "0x18",
    "r": "0x2a378831cf81d99a3f06a18ae1b6ca366817ab4d88a70053c41d7a8f0368e031",
    "s": "0x450d831a05b6e418724436c05c155e0a1b7b921015d0fbc2f667aed709ac4fb5",
    "to": "0x06012c8cf97bead5deae237070f9587f8e7a266d",
    "transactionIndex": "0x11",
    "type": "0x0",
    "v": "0x25",
    "value": "0x1c6bf526340000"
  }
}
```
